Bug 751914 - Add drift compliance to inventory summary report
Add drift compliance to inventory summary report
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: drift (Show other bugs)
4.2
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: JON 3.0.0,RHQ 4.3.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: 707225 751474
  Show dependency treegraph
 
Reported: 2011-11-07 21:43 EST by John Sanda
Modified: 2012-02-07 14:29 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
inventory summary report (74.98 KB, image/png)
2011-11-14 10:55 EST, Mike Foley
no flags Details

  None (edit)
Description John Sanda 2011-11-07 21:43:04 EST
Description of problem:
The inventory summary report should be updated to show the following:

* which types support drift monitoring
* which types have resources out of compliance
* which types have all resources in compliance

Drilling down on a particular type should show which resources are out of compliance. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jay Shaughnessy 2011-11-11 17:17:17 EST
Should be working now. Please test.
Comment 2 Mike Foley 2011-11-14 10:55:41 EST
Created attachment 533558 [details]
inventory summary report
Comment 3 Mike Foley 2011-11-14 10:57:47 EST
verified as follows:

1) created simple drift defintion
2) viewed Reports-->Inventory Summary
3) observed entire "In Compliance?" column is blank

discussed with jsanda

documenting what i see and attaching screenshot to BZ

returning BZ to jsanda as this does not look right to me.

jsanda, can you describe what i should be seeing in the report for compliance when i have a pinned defintion?
Comment 4 Jay Shaughnessy 2011-11-14 22:34:15 EST
master     commit 88aaa3b1ec22fd04ced1281db43c60a01e12f974
release3.x commit:  a8c48ad2e851ddbb4b03e7f802d5831b5aaab89a

test notes
For more on the definition of drift compliance see:
http://rhq-project.org/display/RHQ/Drift+Management#DriftManagement-Terminology
Comment 5 Mike Foley 2011-11-15 13:13:53 EST
I am still not seeing anything in the "In Compliance?" column.  (  I did in the sprint 8 demo, but not in  the build).  I will retest again tomorrow in case the build I have didn't pick up this change.
Comment 6 Jay Shaughnessy 2011-11-16 11:42:03 EST
Mike, sorry, the change did not get pushed to release branch as
noted above. It is there now:

release3.x commit 1facedce68f988d8b2905e0854f010f6fbdda441
Comment 7 Mike Foley 2011-11-16 11:56:05 EST
i have retested on 11/16 in the release branch ... and still do not see anything.  i will again retest tomorrow.
Comment 8 Mike Foley 2011-11-17 10:42:19 EST
verified 11/17 jon 3 branch
Comment 9 Larry O'Leary 2012-01-20 16:08:56 EST
Part of the change for this was committed to master as part of http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=6a9ab0dfe846cdf9ae64e52d3a755ba9c8bd38ca
Comment 10 Mike Foley 2012-02-07 14:25:21 EST
marking VERIFIED JON 3 bugs to CLOSED/CURRENTRELEASE
Comment 11 Mike Foley 2012-02-07 14:29:20 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.